Subject: Re: cannot use stable 2.6.25.y tree with HTTP

From: Greg KH <[email-masked]>
Date: Wed, 18 Jun 2008 17:07:22 -0700

On Wed, Jun 18, 2008 at 01:37:50PM -0700, Andrew Klossner wrote:
> Hi Greg,
> 
> At the risk of being a pest, I'm following up on my note of last week
> about how the stable-2.6.25.y tree is frozen at 2.6.25.4 when accessed
> via HTTP.  That's the only protocol I can use, and so I cannot pull
> the newer versions.  Is there any hope of fixing this?
> 
> % git pull -v
> >From http://www.kernel.org/pub/scm/linux/kernel/git/stable/linux-2.6.25.y
>  = [up to date]      master     -> origin/master
> Already up-to-date.
> 
> % ls .git/refs/tags/v2.6.25.*
> .git/refs/tags/v2.6.25.1  .git/refs/tags/v2.6.25.3
> .git/refs/tags/v2.6.25.2  .git/refs/tags/v2.6.25.4

Argh, this is getting annoying.

git developers, do I need to do something to get git-update-server-info
to run on kernel.org every time I do a push so that I don't have to do
it by hand (and then forget for new releases, like I did above?)

I thought I remember a script somewhere telling me what to put into a
trigger in the git documentation a long time ago.

Oh, wait, is it just:
	chmod +x my-git.git/hooks/post-update

as the core-tutorial.txt file shows?  Is that all that is needed?

thanks,

greg k-h